<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="otpViewStyle">@style/OtpWidget.OtpView</item>
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="homeAsUpIndicator">@drawable/ic_keyboard_arrow_left_black_24dp</item>
    </style>
    
    <style name="AppThemeWithoutTitleBar" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <style name="MyToolbarStyle">
        <item name="android:background">@color/colorPrimary</item>
        <item name="popupTheme">@style/ThemeOverlay.AppCompat.Light</item>
        <!-- No need for colorPrimary, colorPrimaryDark, colorAccent here
             this should go to the AppTheme -->
    </style>

    <style name="TextAppearance">
        <item name="android:fontFamily">@font/sf_pro_text_regular</item>
    </style>

    <style name="TextAppearanceLight">
        <item name="android:fontFamily">@font/sf_pro_text_light</item>
    </style>

    <style name="TextAppearanceItalic">
        <item name="android:fontFamily">@font/sf_pro_text_semibold_italic</item>
    </style>

    <style name="TextAppearanceCompact">
        <item name="android:fontFamily">@font/sf_compat_text_regular</item>
    </style>

    <style name="TextAppearanceCompactDisplayLight">
        <item name="android:fontFamily">@font/sf_compact_display_light</item>
    </style>

    <style name="TextAppearanceCompactDisplayLight.base14">
        <item name="android:textSize">14sp</item>
    </style>

    <style name="TextAppearanceCompactMedium">
        <item name="android:fontFamily">@font/sf_compact_text_medium</item>
    </style>
    
    <style name="TextAppearanceBold">
        <item name="android:fontFamily">@font/sf_pro_text_bold</item>
    </style>
    
    <style name="TextAppearanceMedium">
        <item name="android:fontFamily">@font/sf_pro_text_medium</item>
    </style>

    <style name="TextAppearanceSemiBold">
        <item name="android:fontFamily">@font/sf_pro_text_semibold</item>
    </style>

    <style name="TextAppearanceRegular">
        <item name="android:fontFamily">@font/sf_pro_text_regular</item>
    </style>

    <style name="RobotRegular">
        <item name="android:fontFamily">sans-serif</item>
    </style>
    
    <style name="TextAppearance.base12">
        <item name="android:textSize">12sp</item>
    </style>

    <style name="TextAppearanceCompact.base12">
        <item name="android:textSize">12sp</item>
    </style>
    
    <style name="TextAppearance.base11">
        <item name="android:textSize">11sp</item>
    </style>
    
    <style name="TextAppearance.base14">
        <item name="android:textSize">14sp</item>
    </style>

    <style name="TextAppearance.base16">
        <item name="android:textSize">16sp</item>
    </style>

    <style name="TextAppearance.base17">
        <item name="android:textSize">17sp</item>
    </style>

    <style name="TextAppearanceMedium.base17">
        <item name="android:textSize">17sp</item>
    </style>

    <style name="TextAppearanceCompactMedium.base16">
        <item name="android:textSize">16sp</item>
    </style>
    
    <style name="TextAppearanceMedium.base16">
        <item name="android:textSize">16sp</item>
    </style>

    <style name="TextAppearanceMedium.base10">
        <item name="android:textSize">10sp</item>
    </style>

    <style name="TextAppearanceMedium.base10.tabStyle" parent="TextAppearance.Design.Tab">
        <item name="android:textSize">10sp</item>
        <item name="android:textAllCaps">false</item>
        <item name="textAllCaps">false</item>
    </style>

    <style name="TextAppearanceMedium.base16.tabStyle" parent="TextAppearance.Design.Tab">
        <item name="android:textSize">16sp</item>
        <item name="android:textAllCaps">false</item>
        <item name="textAllCaps">false</item>
    </style>

    <style name="TextAppearanceMedium.tabComplainStyle" parent="TextAppearance.Design.Tab">
        <item name="android:textSize">14sp</item>
        <item name="android:textAllCaps">false</item>
        <item name="textAllCaps">false</item>
    </style>
    <style name="TextAppearanceMedium.tabPaymentStyle" parent="TextAppearance.Design.Tab">
        <item name="android:textSize">14sp</item>
        <item name="android:fontFamily">@font/sf_pro_text_semibold</item>
        <item name="android:textAllCaps">false</item>
        <item name="textAllCaps">false</item>
    </style>
    
    <style name="TextAppearance.base12.white">
        <item name="android:textColor">@color/snow</item>
    </style>
    
    <style name="TextAppearance.base11.white">
        <item name="android:textColor">@color/snow</item>
    </style>

    <style name="TextAppearanceMedium.base10.cerulean">
        <item name="android:textSize">10sp</item>
        <item name="android:textColor">@color/cerulean</item>
    </style>

    <style name="TextAppearance.input">
        <item name="android:fontFamily">@font/sf_pro_text_regular</item>
        <item name="android:textSize">@dimen/size_form_input</item>
        <item name="android:paddingBottom">8dp</item>
        <item name="android:paddingLeft">16dp</item>
        <item name="android:paddingRight">16dp</item>
        <item name="android:paddingTop">8dp</item>
    </style>

    <style name="TextAppearanceMedium.base16.Button">
        <item name="android:background">@drawable/bg_orange_button</item>
        <item name="android:textColor">@color/snow</item>
        <item name="android:layout_width">200dp</item>
        <item name="android:layout_height">45dp</item>
    </style>

    <style name="TextAppearanceMedium.base17.Button">
        <item name="android:background">@drawable/bg_orange_button</item>
        <item name="android:textColor">@color/snow</item>
        <item name="android:layout_width">200dp</item>
        <item name="android:layout_height">45dp</item>
    </style>

    <style name="TextAppearanceMedium.base17.ButtonWhite">
        <item name="android:background">@drawable/bg_white_button</item>
        <item name="android:textColor">@color/safety_orange</item>
        <item name="android:layout_width">200dp</item>
        <item name="android:layout_height">45dp</item>
    </style>

    <style name="TextAppearanceMedium.base17.ButtonBlue">
        <item name="android:background">@drawable/bg_blue_button</item>
        <item name="android:textColor">@color/snow</item>
        <item name="android:layout_width">200dp</item>
        <item name="android:layout_height">45dp</item>
    </style>

    <style name="TextAppearanceMedium.base16.ButtonInactive">
        <item name="android:background">@drawable/bg_button_inactive</item>
        <item name="android:textColor">@color/pumpkinOrange</item>
        <item name="android:layout_width">200dp</item>
        <item name="android:layout_height">45dp</item>
    </style>

    <style name="TextAppearanceMedium.base10.Button">
        <item name="android:background">@drawable/bg_orange_button</item>
        <item name="android:layout_width">63dp</item>
        <item name="android:layout_height">22dp</item>
    </style>

    <style name="TextAppearanceMedium.base10.Radio">
        <item name="android:background">@drawable/bg_radio_category_blue</item>
        <item name="android:layout_width">110dp</item>
        <item name="android:layout_height">30dp</item>
    </style>

    <style name="AppTheme.noAnimTheme" parent="AppTheme">
        <item name="android:windowAnimationStyle">@null</item>
    </style>

    <style name="TextLabel" parent="Widget.Design.TextInputLayout">
        <!-- Hint color and label color in FALSE state -->
        <item name="android:textColorHint">@color/cerulean</item>
        <item name="android:textSize">16sp</item>
        <!-- Label color in TRUE state and bar color FALSE and TRUE State -->
        <item name="colorAccent">@color/cerulean</item>
        <item name="colorControlNormal">@color/cerulean</item>
        <item name="colorControlActivated">@color/cerulean</item>
    </style>

    <style name="TextLabelBlack" parent="Widget.Design.TextInputLayout">
        <!-- Hint color and label color in FALSE state -->
        <item name="android:textColorHint">@color/brown_grey</item>
        <item name="android:textSize">16sp</item>
        <!-- Label color in TRUE state and bar color FALSE and TRUE State -->
        <item name="colorAccent">@color/black</item>
        <item name="colorControlNormal">@color/black</item>
        <item name="colorControlActivated">@color/black</item>
    </style>
</resources>
